Debian Bug report logs - #717687
bumblebee: cannot activate the discrete nvidia card

version graph

Package: bumblebee; Maintainer for bumblebee is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for bumblebee is src:bumblebee.

Reported by: Ritesh Raj Sarraf <rrs@debian.org>

Date: Tue, 23 Jul 2013 19:57:11 UTC

Severity: normal

Merged with 718774, 718954

Found in versions bumblebee/3.2.1-3, bumblebee/3.2.1-4

Forwarded to https://github.com/Bumblebee-Project/Bumblebee/issues/452

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rrs@debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Tue, 23 Jul 2013 19:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@debian.org>:
New Bug report received and forwarded. Copy sent to rrs@debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Tue, 23 Jul 2013 19:57:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bumblebee: cannot activate the discrete nvidia card
Date: Wed, 24 Jul 2013 01:22:06 +0530
Package: bumblebee
Version: 3.2.1-3
Severity: normal

rrs@zan:~$ optirun vlc
[  763.960198] [ERROR]Cannot access secondary GPU - error: Could not
enable discrete graphics card

[  763.960246] [ERROR]Aborting because fallback start is disabled.


This started happening on the 3.10 kernel recently. I hadn't seen this
issue earlier with 3.9

I also rolled back the nvidia driver to 304.88 from 319.xx

-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bumblebee depends on:
ii  bbswitch-dkms  0.7-1
ii  libbsd0        0.6.0-1
ii  libc6          2.17-7
ii  libglib2.0-0   2.36.3-3
ii  libx11-6       2:1.6.0-1
ii  sysv-rc        2.88dsf-41

Versions of packages bumblebee recommends:
ii  primus  0~20130601-1

Versions of packages bumblebee suggests:
ii  bumblebee-nvidia  3.2.1-3

-- Configuration Files:
/etc/bumblebee/bumblebee.conf changed:
[bumblebeed]
VirtualDisplay=:8
KeepUnusedXServer=false
ServerGroup=bumblebee
TurnCardOffAtExit=true
NoEcoModeOverride=false
Driver=nvidia
XorgConfDir=/etc/bumblebee/xorg.conf.d
[optirun]
Bridge=auto
VGLTransport=proxy
PrimusLibraryPath=/usr/lib/x86_64-linux-gnu/primus:/usr/lib/i386-linux-gnu/primus:/usr/lib/primus:/usr/lib32/primus
AllowFallbackToIGC=false
[driver-nvidia]
KernelDriver=nvidia
PMMethod=auto
LibraryPath=/usr/lib/x86_64-linux-gnu/nvidia:/usr/lib/i386-linux-gnu/nvidia:/usr/lib/nvidia
XorgModulePath=/usr/lib/nvidia,/usr/lib/xorg/modules
XorgConfFile=/etc/bumblebee/xorg.conf.nvidia
[driver-nouveau]
KernelDriver=nouveau
PMMethod=auto
XorgConfFile=/etc/bumblebee/xorg.conf.nouveau


-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Tue, 23 Jul 2013 20:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@researchut.com:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Tue, 23 Jul 2013 20:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 717687@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Wed, 24 Jul 2013 01:40:17 +0530
[Message part 1 (text/plain, inline)]
On Wednesday 24 July 2013 01:22 AM, Ritesh Raj Sarraf wrote:
> This started happening on the 3.10 kernel recently. I hadn't seen this
> issue earlier with 3.9
>
> I also rolled back the nvidia driver to 304.88 from 319.xx

I just booted back into the 3.9 kernel and the issue is not seen. So
this bug report is specific to the 3.10 kernel

-- 
Ritesh Raj Sarraf
RESEARCHUT - http://www.researchut.com
"Necessity is the mother of invention."


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Wed, 24 Jul 2013 00:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Wed, 24 Jul 2013 00:36:09 GMT) Full text and rfc822 format available.

Message #15 received at 717687@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: rrs@researchut.com
Cc: 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Tue, 23 Jul 2013 17:33:17 -0700
On Tue, Jul 23, 2013 at 1:10 PM, Ritesh Raj Sarraf <rrs@researchut.com> wrote:
> On Wednesday 24 July 2013 01:22 AM, Ritesh Raj Sarraf wrote:
>> This started happening on the 3.10 kernel recently. I hadn't seen this
>> issue earlier with 3.9
>>
>> I also rolled back the nvidia driver to 304.88 from 319.xx
>
> I just booted back into the 3.9 kernel and the issue is not seen. So
> this bug report is specific to the 3.10 kernel

For what it's worth, Nvidia has yet to release drivers that are
compatible with Linux 3.10, and the patches applied to the nvidia
packages in Debian to make the module build against 3.10 are from a
3rd party source (patch header says it was taken from Arch; also see
#717311, #717361, #714981). But thanks for the heads up!

Regards,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Fri, 02 Aug 2013 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to LOMBARD Maxime <berillions@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 02 Aug 2013 16:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 717687@bugs.debian.org (full text, mbox):

From: LOMBARD Maxime <berillions@gmail.com>
To: 717687@bugs.debian.org
Subject: bumblebee: cannot activate the discrete nvidia card
Date: Fri, 2 Aug 2013 18:23:48 +0200
[Message part 1 (text/plain, inline)]
Hi,

I can confirm that the bug exist only when the nvidia driver 319.32 are
installed.

Kernel 3.10 + Nvidia 304.88-6 : Works
Kernel 3.10 + Nvidia 319.32-2 : Does not work

Max,
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Sun, 04 Aug 2013 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to LOMBARD Maxime <berillions@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 04 Aug 2013 16:21:04 GMT) Full text and rfc822 format available.

Message #25 received at 717687@bugs.debian.org (full text, mbox):

From: LOMBARD Maxime <berillions@gmail.com>
To: 717687@bugs.debian.org
Subject: bumblebee: cannot activate the discrete nvidia card
Date: Sun, 4 Aug 2013 18:19:35 +0200
[Message part 1 (text/plain, inline)]
Hi guys, I found something.

If you install Nvidia 304.88 package, the module is named : nvidia.ko but
the module for the Nvidia 319.32 package is named : nvidia-current.ko

Even if i modify "/etc/bumblebee/bumblebee.conf" to replace
"KernelDriver=nvidia" by "KernelDriver=nvidia-current", this bug always
exist.

I create a bug report on bumblebee github :
https://github.com/Bumblebee-Project/Bumblebee/issues/452 and for them,
it's a kernel 3.10 problem.

So, i tried the experimental Nvidia driver + Kernel 3.9 from Testing and
the same bug exist.

Andreas, if you read this bug report, it can be possible to re-package
Nvidia 319.32 driver to modify the module name ?

Thanks,
Max
[Message part 2 (text/html, inline)]

Set Bug forwarded-to-address to 'https://github.com/Bumblebee-Project/Bumblebee/issues/452'. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Sun, 04 Aug 2013 21:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Sun, 04 Aug 2013 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 04 Aug 2013 21:45:04 GMT) Full text and rfc822 format available.

Message #32 received at 717687@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: LOMBARD Maxime <berillions@gmail.com>
Cc: 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Sun, 4 Aug 2013 14:42:37 -0700
On Sun, Aug 4, 2013 at 9:19 AM, LOMBARD Maxime <berillions@gmail.com> wrote:

> So, i tried the experimental Nvidia driver + Kernel 3.9 from Testing and the
> same bug exist.

For what it's worth, no, I don't experience this bug with the 319.32
driver in experimental + linux 3.9. That may be a different bug
entirely.

Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Mon, 05 Aug 2013 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maurizio Avogadro <mavoga@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 05 Aug 2013 08:15:04 GMT) Full text and rfc822 format available.

Message #37 received at 717687@bugs.debian.org (full text, mbox):

From: Maurizio Avogadro <mavoga@gmail.com>
To: LOMBARD Maxime <berillions@gmail.com>, 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Mon, 05 Aug 2013 10:11:35 +0200
Hi,

interestingly enough, I experienced the same issue only when I upgraded
from 319.32-1 to 319.32-2; one of the main  differences between these 2
versions (while not documented in the Debian changelog AFAICS: is it one
of the changes merged from 304.88-7?) is the module rename: that is,
very likely, the reason of the issue. I now reinstalled the 319.32-1 and
bumblebee now works again even with kernel 3.10 (I'm manually applying
the patch at http://pastebin.com/JDpkR3kt, which I strongly suggest
since the other patches don't remove the /proc/driver/nvidia upon module
removal, which causes a kernel oops when the nvidia module is loaded the
next time).


Maurizio


Il 04/08/2013 18:19, LOMBARD Maxime ha scritto:
> Hi guys, I found something.
>
> If you install Nvidia 304.88 package, the module is named : nvidia.ko
> but the module for the Nvidia 319.32 package is named : nvidia-current.ko
>
> Even if i modify "/etc/bumblebee/bumblebee.conf" to replace
> "KernelDriver=nvidia" by "KernelDriver=nvidia-current", this bug
> always exist.
>
> I create a bug report on bumblebee github :
> https://github.com/Bumblebee-Project/Bumblebee/issues/452 and for
> them, it's a kernel 3.10 problem.
>
> So, i tried the experimental Nvidia driver + Kernel 3.9 from Testing
> and the same bug exist.
>
> Andreas, if you read this bug report, it can be possible to re-package
> Nvidia 319.32 driver to modify the module name ?
>
> Thanks,
> Max



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Mon, 05 Aug 2013 08:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to LOMBARD Maxime <berillions@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 05 Aug 2013 08:21:10 GMT) Full text and rfc822 format available.

Message #42 received at 717687@bugs.debian.org (full text, mbox):

From: LOMBARD Maxime <berillions@gmail.com>
To: Maurizio Avogadro <mavoga@gmail.com>
Cc: 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Mon, 5 Aug 2013 10:20:12 +0200
[Message part 1 (text/plain, inline)]
The driver 304.88-6 in Sid has the same kernel 3.10 patch than the
experimental driver. I don't think that the kernel has the cause but only
the module rename.
I'll open a bug report about this module rename.


2013/8/5 Maurizio Avogadro <mavoga@gmail.com>

> Hi,
>
> interestingly enough, I experienced the same issue only when I upgraded
> from 319.32-1 to 319.32-2; one of the main  differences between these 2
> versions (while not documented in the Debian changelog AFAICS: is it one
> of the changes merged from 304.88-7?) is the module rename: that is,
> very likely, the reason of the issue. I now reinstalled the 319.32-1 and
> bumblebee now works again even with kernel 3.10 (I'm manually applying
> the patch at http://pastebin.com/JDpkR3kt, which I strongly suggest
> since the other patches don't remove the /proc/driver/nvidia upon module
> removal, which causes a kernel oops when the nvidia module is loaded the
> next time).
>
>
> Maurizio
>
>
> Il 04/08/2013 18:19, LOMBARD Maxime ha scritto:
> > Hi guys, I found something.
> >
> > If you install Nvidia 304.88 package, the module is named : nvidia.ko
> > but the module for the Nvidia 319.32 package is named : nvidia-current.ko
> >
> > Even if i modify "/etc/bumblebee/bumblebee.conf" to replace
> > "KernelDriver=nvidia" by "KernelDriver=nvidia-current", this bug
> > always exist.
> >
> > I create a bug report on bumblebee github :
> > https://github.com/Bumblebee-Project/Bumblebee/issues/452 and for
> > them, it's a kernel 3.10 problem.
> >
> > So, i tried the experimental Nvidia driver + Kernel 3.9 from Testing
> > and the same bug exist.
> >
> > Andreas, if you read this bug report, it can be possible to re-package
> > Nvidia 319.32 driver to modify the module name ?
> >
> > Thanks,
> > Max
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Mon, 05 Aug 2013 19:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to LOMBARD Maxime <berillions@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 05 Aug 2013 19:39:09 GMT) Full text and rfc822 format available.

Message #47 received at 717687@bugs.debian.org (full text, mbox):

From: LOMBARD Maxime <berillions@gmail.com>
To: 717687@bugs.debian.org
Subject: bumblebee: cannot activate the discrete nvidia card
Date: Mon, 5 Aug 2013 21:37:53 +0200
[Message part 1 (text/plain, inline)]
I create 325.08 nvidia driver package from the "debian" repository
available here<http://ftp.de.debian.org/debian/pool/non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_325.08-1.debian.tar.gz>.
In this new package, i disabled the both 3.10 kernel patch and i try my
package with the kernel 3.9.1 from Testing.

Kernel 3.10 = Does not works, it's normal without the kernel patch
Kernel 3.9 = This bug still exist.

I compared the "debian" repository from
325.08<http://ftp.de.debian.org/debian/pool/non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_325.08-1.debian.tar.gz>and
304.88<http://ftp.de.debian.org/debian/pool/non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_304.88-6.debian.tar.gz>.
For both, there is the same "rename_module.patch".

So, i don't understand why for :
- Nvidia driver 304.88, the module which is create during the installation
is named "nvidia.ko" for the kernel 3.9 and 3.10

- Nvidia driver 325.08, the module which is create during the installation
is named "nvidia-current.ko" for the kernel 3.9 and 3.10

The Kernel 3.10 patch is not the cause... only the new module name... but
why bumblebee can't load the driver ???
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, rrs@debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Sun, 18 Aug 2013 08:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@debian.org>:
Extra info received and forwarded to list. Copy sent to rrs@debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 18 Aug 2013 08:51:05 GMT) Full text and rfc822 format available.

Message #52 received at 717687@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Debian Bug Tracking System <717687@bugs.debian.org>
Subject: Re: bumblebee: cannot activate the discrete nvidia card
Date: Sun, 18 Aug 2013 14:19:23 +0530
Package: bumblebee
Version: 3.2.1-3
Followup-For: Bug #717687

Vincent,

Now that the 325.xx series drivers are in experimental, what do we do
with this bug ?
Also, kernel 3.10 is now is unstable (and testing).

You should increase the severity of this bug because it breaks the
tool's functionality.

-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bumblebee depends on:
ii  bbswitch-dkms  0.7-2
ii  libbsd0        0.6.0-1
ii  libc6          2.17-92
ii  libglib2.0-0   2.36.3-3
ii  libx11-6       2:1.6.0-1
ii  sysv-rc        2.88dsf-43

Versions of packages bumblebee recommends:
ii  primus  0~20130601-1

Versions of packages bumblebee suggests:
ii  bumblebee-nvidia  3.2.1-3

-- Configuration Files:
/etc/bumblebee/bumblebee.conf changed:
[bumblebeed]
VirtualDisplay=:8
KeepUnusedXServer=false
ServerGroup=bumblebee
TurnCardOffAtExit=true
NoEcoModeOverride=false
Driver=nvidia
XorgConfDir=/etc/bumblebee/xorg.conf.d
[optirun]
Bridge=primus
VGLTransport=proxy
PrimusLibraryPath=/usr/lib/x86_64-linux-gnu/primus:/usr/lib/i386-linux-gnu/primus:/usr/lib/primus:/usr/lib32/primus
AllowFallbackToIGC=false
[driver-nvidia]
KernelDriver=nvidia
PMMethod=auto
LibraryPath=/usr/lib/x86_64-linux-gnu/nvidia:/usr/lib/i386-linux-gnu/nvidia:/usr/lib/nvidia
XorgModulePath=/usr/lib/nvidia,/usr/lib/xorg/modules
XorgConfFile=/etc/bumblebee/xorg.conf.nvidia
[driver-nouveau]
KernelDriver=nouveau
PMMethod=auto
XorgConfFile=/etc/bumblebee/xorg.conf.nouveau


-- no debconf information



Merged 717687 718774 718954 Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Mon, 19 Aug 2013 09:42:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Mon, 19 Aug 2013 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 19 Aug 2013 10:09:04 GMT) Full text and rfc822 format available.

Message #59 received at 717687@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Ritesh Raj Sarraf <rrs@debian.org>
Cc: 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Mon, 19 Aug 2013 03:06:18 -0700
On Sun, Aug 18, 2013 at 1:49 AM, Ritesh Raj Sarraf <rrs@debian.org> wrote:
> Package: bumblebee
> Version: 3.2.1-3
> Followup-For: Bug #717687
>
> Vincent,
>
> Now that the 325.xx series drivers are in experimental, what do we do
> with this bug ?
> Also, kernel 3.10 is now is unstable (and testing).
>
> You should increase the severity of this bug because it breaks the
> tool's functionality.

There are actually several different issues affecting (or rather,
having affected) bumblebee in Debian lately (and I've just merged all
the reports into this one), none of which I can directly fix myself,
but all of which have either been fixed or have workarounds:

1) nvidia + linux 3.10 compatibility - fixed for most users as of
src:nvidia-graphics-drivers 325.15-1, no need for 3rd party patches
anymore. However, users with certain laptop models may still have
issues with linux 3.10 + proprietary nvidia kernel module (see [1] for
details). There's nothing I can do about this; it needs to be fixed by
Nvidia themselves.

2) launching a program via optirun/primusrun outputs "extension "GLX"
missing on display ":0.0"." to console - fixed as of
src:glx-alternatives 0.4.0, and was caused (if I understand correctly)
by glx-diversions creating broken symlinks during upgrade from
libgl1-mesa-glx 8.x to the current version in testing/sid, thus
removing the glx alternative entry for mesa (and thus breaking 3d
acceleration on users' primary X display); see #712304 [2]. Andreas
has also filed #720069 to ensure that clean upgrades from mesa 8 to 9
are done from now on.

3) nvidia module in Debian renamed as of 319.32-2 to "nvidia-current"
(to support co-installation of several different versions of the
proprietary driver) - workaround is to edit
/etc/bumblebee/bumblebee.conf and change "KernelDriver=nvidia" to
"KernelDriver=nvidia-current", and then restarting bumblebeed
("service bumblebeed restart"). This is not a change that I'd consider
making as default because it breaks bumblebee for Debian users not on
the latest nvidia driver series (e.g. I'd assume that once the legacy
nvidia 304 series is branched off, that it'll be given a different
module name), and also it'd break bumblebee for Ubuntu users. The most
I can do right now is probably just add an entry about this in
README.Debian.

Hence, the situation isn't ideal but I doubt it's release-critical.
Even if it was, there's not much I can do about it.

Regards,
Vincent

[1] https://github.com/Bumblebee-Project/Bumblebee/issues/455
[2] http://bugs.debian.org/712304



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Mon, 19 Aug 2013 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 19 Aug 2013 10:21:04 GMT) Full text and rfc822 format available.

Message #64 received at 717687@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>, 717687@bugs.debian.org
Cc: Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Mon, 19 Aug 2013 12:16:46 +0200
On 2013-08-19 12:06, Vincent Cheng wrote:
> 3) nvidia module in Debian renamed as of 319.32-2 to "nvidia-current"
> (to support co-installation of several different versions of the
> proprietary driver) - workaround is to edit
> /etc/bumblebee/bumblebee.conf and change "KernelDriver=nvidia" to
> "KernelDriver=nvidia-current", and then restarting bumblebeed

The renamed module now again properly responds to "modprobe nvidia" and
lists itself as "nvidia" - so changing the config should not be needed
any more. Could someone please test this and confirm? I don't have any
optimus hardware myself, so cannot check this.

From what I understood from the bumblebee source, it does call "modprobe
nvidia" and afterwards checks that a "nvidia" module is loaded.


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Mon, 19 Aug 2013 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 19 Aug 2013 10:27:04 GMT) Full text and rfc822 format available.

Message #69 received at 717687@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Andreas Beckmann <anbe@debian.org>
Cc: 717687@bugs.debian.org, Ritesh Raj Sarraf <rrs@debian.org>
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Mon, 19 Aug 2013 03:25:17 -0700
On Mon, Aug 19, 2013 at 3:16 AM, Andreas Beckmann <anbe@debian.org> wrote:
> On 2013-08-19 12:06, Vincent Cheng wrote:
>> 3) nvidia module in Debian renamed as of 319.32-2 to "nvidia-current"
>> (to support co-installation of several different versions of the
>> proprietary driver) - workaround is to edit
>> /etc/bumblebee/bumblebee.conf and change "KernelDriver=nvidia" to
>> "KernelDriver=nvidia-current", and then restarting bumblebeed
>
> The renamed module now again properly responds to "modprobe nvidia" and
> lists itself as "nvidia" - so changing the config should not be needed
> any more. Could someone please test this and confirm? I don't have any
> optimus hardware myself, so cannot check this.

vincent@vincent-tlaptop:~$ sudo modprobe nvidia
vincent@vincent-tlaptop:~$ lsmod | grep nvidia
vincent@vincent-tlaptop:~$ sudo modinfo nvidia
ERROR: Module nvidia not found.
vincent@vincent-tlaptop:~$ sudo modinfo nvidia-current
filename:       /lib/modules/3.9-1-vclaptop-amd64/updates/dkms/nvidia-current.ko
alias:          char-major-195-*
version:        325.15
supported:      external
license:        NVIDIA
<snip>

> From what I understood from the bumblebee source, it does call "modprobe
> nvidia" and afterwards checks that a "nvidia" module is loaded.

Is it possible that having nvidia and nvidia-current blacklisted in
/etc/modprobe.d/bumblebee.conf is causing this to fail? A brief chat
with upstream on IRC suggests that having a module blacklisted
prevents it from being loaded via an alias (if I understood it
correctly, that is):

<vincent_c> I thought blacklists only prevent the module from being
automatically loaded? Users can still load blacklisted modules
manually.
<vincent_c> either way, the blacklists was already there before the
nvidia module was renamed in Debian, and it didn't seem to break
anything back then
<amonakov> vincent_c: blacklists may prevent loading aliases
<amonakov> previously the module was called "nvidia", so modprobe nvidia worked
<vincent_c> ah
<amonakov> now it's called nvidia-current, so modprobe would need to
follow nvidia->nvidia-current alias, but nvidia-current is blacklisted

The blacklists are in place because, as far as I understand, nvidia
shouldn't be loaded on startup before the bumblebee daemon is (and
neither nouveau or nvidia are loaded until the user runs a program via
optirun/primusrun; bumblebee is in charge of loading the desired
module).

Regards,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Sun, 25 Aug 2013 06:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 25 Aug 2013 06:51:05 GMT) Full text and rfc822 format available.

Message #74 received at 717687@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Sun, 25 Aug 2013 12:16:22 +0530
[Message part 1 (text/plain, inline)]
Hello Vincent,

On Monday 19 August 2013 03:36 PM, Vincent Cheng wrote:
> On Sun, Aug 18, 2013 at 1:49 AM, Ritesh Raj Sarraf <rrs@debian.org> wrote:
>> Package: bumblebee
>> Version: 3.2.1-3
>> Followup-For: Bug #717687
>>
>> Vincent,
>>
>> Now that the 325.xx series drivers are in experimental, what do we do
>> with this bug ?
>> Also, kernel 3.10 is now is unstable (and testing).
>>
>> You should increase the severity of this bug because it breaks the
>> tool's functionality.
> There are actually several different issues affecting (or rather,
> having affected) bumblebee in Debian lately (and I've just merged all
> the reports into this one), none of which I can directly fix myself,
> but all of which have either been fixed or have workarounds:
>
> 1) nvidia + linux 3.10 compatibility - fixed for most users as of
> src:nvidia-graphics-drivers 325.15-1, no need for 3rd party patches
> anymore. However, users with certain laptop models may still have
> issues with linux 3.10 + proprietary nvidia kernel module (see [1] for
> details). There's nothing I can do about this; it needs to be fixed by
> Nvidia themselves.

Yup!! This hit me too. Even after the workarounds, I am unable to load
the driver. But my platform is a Lenovo W530.

> 3) nvidia module in Debian renamed as of 319.32-2 to "nvidia-current"
> (to support co-installation of several different versions of the
> proprietary driver) - workaround is to edit
> /etc/bumblebee/bumblebee.conf and change "KernelDriver=nvidia" to
> "KernelDriver=nvidia-current", and then restarting bumblebeed
> ("service bumblebeed restart"). This is not a change that I'd consider
> making as default because it breaks bumblebee for Debian users not on
> the latest nvidia driver series (e.g. I'd assume that once the legacy
> nvidia 304 series is branched off, that it'll be given a different
> module name), and also it'd break bumblebee for Ubuntu users. The most
> I can do right now is probably just add an entry about this in
> README.Debian.
>
> Hence, the situation isn't ideal but I doubt it's release-critical.
> Even if it was, there's not much I can do about it.
>
Thanks for the updates.

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Fri, 06 Sep 2013 13:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 06 Sep 2013 13:54:04 GMT) Full text and rfc822 format available.

Message #79 received at 717687@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 717687@bugs.debian.org
Subject: bumblebee: cannot activate the discrete nvidia card
Date: Fri, 06 Sep 2013 15:51:02 +0200
Hi,

with the 304.108-1 packages in testing, the default bumblebee config
does not work anymore - it shows the error message discussed here. So
the bumblebee package needs to be updated to load the nvidia-current
module instead (not sure if the blacklisting needs updating, too).

Kind regards,
Ralf



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Sat, 07 Sep 2013 00:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 07 Sep 2013 00:57:04 GMT) Full text and rfc822 format available.

Message #84 received at 717687@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Ralf Jung <post@ralfj.de>, 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Fri, 6 Sep 2013 17:55:44 -0700
Hi Ralf,

On Fri, Sep 6, 2013 at 6:51 AM, Ralf Jung <post@ralfj.de> wrote:
> Hi,
>
> with the 304.108-1 packages in testing, the default bumblebee config
> does not work anymore - it shows the error message discussed here. So
> the bumblebee package needs to be updated to load the nvidia-current
> module instead (not sure if the blacklisting needs updating, too).

I'm not sure if that's the right way to go about fixing this bug.
Andreas has already mentioned before [1] that even though the nvidia
kernel module has been renamed, it's also aliased to "nvidia", so
everything should still theoretically work. If it doesn't, changing
the default bumblebee config just papers over the issue.

The blacklist already has "nvidia-current" listed (that was picked up
from Ubuntu).

Regards,
Vincent

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=717687#64



Information forwarded to debian-bugs-dist@lists.debian.org, headcrabextra@gmail.com, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Thu, 19 Sep 2013 12:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to CrabMan <headcrabextra@gmail.com>:
Extra info received and forwarded to list. Copy sent to headcrabextra@gmail.com, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 19 Sep 2013 12:39:10 GMT) Full text and rfc822 format available.

Message #89 received at 717687@bugs.debian.org (full text, mbox):

From: CrabMan <headcrabextra@gmail.com>
To: Debian Bug Tracking System <717687@bugs.debian.org>
Subject: bumblebee-nvidia: I have this bug too on Lenovo y570
Date: Thu, 19 Sep 2013 16:37:41 +0400
Package: bumblebee-nvidia
Version: 3.2.1-4
Followup-For: Bug #717687

Dear Maintainer,
I have this bug too:

$ optirun glxgears
[  607.540506] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver

[  607.540572] [ERROR]Aborting because fallback start is disabled.

primusrun give the same result. I tried different changes in bumblebee.conf, changing driver to nvidia, nvidia-current and leaving empty - none works


-- System Information:
Debian Release: jessie/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.10-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bumblebee-nvidia depends on:
ii  bumblebee           3.2.1-4
ii  nvidia-driver       304.108-1
ii  nvidia-kernel-dkms  304.108-1

bumblebee-nvidia recommends no packages.

bumblebee-nvidia suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Tue, 24 Sep 2013 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Tue, 24 Sep 2013 10:51:04 GMT) Full text and rfc822 format available.

Message #94 received at 717687@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: CrabMan <headcrabextra@gmail.com>
Cc: 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee-nvidia: I have this bug too on Lenovo y570
Date: Tue, 24 Sep 2013 03:46:54 -0700
On Thu, Sep 19, 2013 at 5:37 AM, CrabMan <headcrabextra@gmail.com> wrote:
> Package: bumblebee-nvidia
> Version: 3.2.1-4
> Followup-For: Bug #717687
>
> Dear Maintainer,
> I have this bug too:
>
> $ optirun glxgears
> [  607.540506] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver
>
> [  607.540572] [ERROR]Aborting because fallback start is disabled.
>
> primusrun give the same result. I tried different changes in bumblebee.conf, changing driver to nvidia, nvidia-current and leaving empty - none works
>

Did you try to restart the bumblebee daemon after making those changes
(i.e. set KernelDriver=nvidia-current) to
/etc/bumblebee/bumblebee.conf (i.e. /etc/init.d/bumblebeed restart)?

Regards,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Thu, 26 Sep 2013 06:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to CrabMan <headcrabextra@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 26 Sep 2013 06:27:04 GMT) Full text and rfc822 format available.

Message #99 received at 717687@bugs.debian.org (full text, mbox):

From: CrabMan <headcrabextra@gmail.com>
To: 717687@bugs.debian.org
Subject: Fwd: Re: Bug#717687: bumblebee-nvidia: I have this bug too on Lenovo y570
Date: Thu, 26 Sep 2013 10:25:34 +0400
[Message part 1 (text/plain, inline)]


-------- Original Message --------
Subject: 	Re: Bug#717687: bumblebee-nvidia: I have this bug too on 
Lenovo y570
Date: 	Tue, 24 Sep 2013 15:03:42 +0400
From: 	CrabMan <headcrabextra@gmail.com>
To: 	Vincent Cheng <vincentc1208@gmail.com>



On 24.09.2013 14:46, Vincent Cheng wrote:
> On Thu, Sep 19, 2013 at 5:37 AM, CrabMan <headcrabextra@gmail.com> wrote:
>> Package: bumblebee-nvidia
>> Version: 3.2.1-4
>> Followup-For: Bug #717687
>>
>> Dear Maintainer,
>> I have this bug too:
>>
>> $ optirun glxgears
>> [  607.540506] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver
>>
>> [  607.540572] [ERROR]Aborting because fallback start is disabled.
>>
>> primusrun give the same result. I tried different changes in bumblebee.conf, changing driver to nvidia, nvidia-current and leaving empty - none works
>>
> Did you try to restart the bumblebee daemon after making those changes
> (i.e. set KernelDriver=nvidia-current) to
> /etc/bumblebee/bumblebee.conf (i.e. /etc/init.d/bumblebeed restart)?
>
> Regards,
> Vincent
I tried rebooting my laptop instead.



[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Sat, 12 Oct 2013 18:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 12 Oct 2013 18:45:08 GMT) Full text and rfc822 format available.

Message #104 received at 717687@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 717687@bugs.debian.org
Subject: Re: Bug#717687: bumblebee: cannot activate the discrete nvidia card
Date: Sat, 12 Oct 2013 20:41:46 +0200
Hi,

On 2013-08-19 12:06, Vincent Cheng wrote:
> 3) nvidia module in Debian renamed as of 319.32-2 to "nvidia-current"
> (to support co-installation of several different versions of the
> proprietary driver) - workaround is to edit
> /etc/bumblebee/bumblebee.conf and change "KernelDriver=nvidia" to
> "KernelDriver=nvidia-current", and then restarting bumblebeed
> ("service bumblebeed restart"). This is not a change that I'd consider
> making as default because it breaks bumblebee for Debian users not on
> the latest nvidia driver series (e.g. I'd assume that once the legacy
> nvidia 304 series is branched off, that it'll be given a different
> module name), and also it'd break bumblebee for Ubuntu users. The most
> I can do right now is probably just add an entry about this in
> README.Debian.

Is it not possible for bumblebee to simply try to load nvidia-current if 
loading nvidia fails? This would break nothing and would not require the 
user to change the config file.

Best regards,
Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#717687; Package bumblebee. (Mon, 14 Oct 2013 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Stender <daniel@danielstender.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 14 Oct 2013 14:21:04 GMT) Full text and rfc822 format available.

Message #109 received at 717687@bugs.debian.org (full text, mbox):

From: Daniel Stender <daniel@danielstender.com>
To: 717687@bugs.debian.org
Subject: bumblebee: cannot activate the discrete nvidia card
Date: Mon, 14 Oct 2013 16:19:00 +0200
Hi guys,

I've wanted to add my experience on this bug.

The error appeared here, too, the Laptop is an Acer V3, kernel 
3.10-3-amd64, bumblebee 3.2.1-4, nvidia-driver 304.108-4 (all of current 
Testing).

I've just put "Driver=nvidia-current" into /etc/bumblebee/bumblebee.conf 
and it all worked properly (after restarting the deamon).

Greetings,
Daniel Stender

-- 
http://www.danielstender.com/blog
PGP key: 1654BD9C




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:38:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.